//
//  StatusXMLParser.h
//  TwitterViewer
//
//  Created by Ichi Kanaya on 10/11/01.
//  This code is based on sample code at http://www.atmarkit.co.jp/fwcr/design/tool/iphonesdk04/01.html
//

#import <Foundation/Foundation.h>

@interface StatusXMLParser: NSXMLParser {
	NSMutableString     *currentXpath;
	NSMutableArray      *statuses;
	NSMutableDictionary *currentStatus;
	NSMutableString     *textNodeCharacters;
	NSMutableDictionary *attributes;
}

@property (retain , nonatomic) NSMutableString     *currentXpath;
@property (retain , nonatomic) NSMutableArray      *statuses;
@property (retain , nonatomic) NSMutableDictionary *currentStatus;
@property (retain , nonatomic) NSMutableString     *textNodeCharacters;
@property (retain , nonatomic) NSMutableDictionary *attributes;

- (NSArray *)parseStatuses: (NSData *)xmlData;

@end
